package vn.azteam.tpf.service.dto;

import vn.azteam.tpf.domain.TBNurseryDetails;
import vn.azteam.tpf.domain.TBSuppliesUsingDetails;

import java.io.Serializable;
import java.time.Instant;
import java.util.List;

public class TBCommonActivityDTO implements Serializable {

    private Long id;

    private Long tbActivityTypeId;

    private Long tbCropId;

    private Double totalCost;

    private String media;

    private Instant executeDate;

    private String externalTable;

    private String description;

    private String executeBy;

    private List<TBEnvironmentUpdateDTO> tbEnvironmentUpdateDTOList;

    List<TBObjectUpdateDTO> tbObjectUpdateDTOList;

    List<TBNurseryDetailsDTO> tbNurseryDetailsDTOList;

    List<TBSuppliesUsingDetailsDTO> tbSuppliesUsingDetailsDTOs;

    List<String> deletedImages;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTbActivityTypeId() {
        return tbActivityTypeId;
    }

    public void setTbActivityTypeId(Long tbActivityTypeId) {
        this.tbActivityTypeId = tbActivityTypeId;
    }

    public Long getTbCropId() {
        return tbCropId;
    }

    public void setTbCropId(Long tbCropId) {
        this.tbCropId = tbCropId;
    }

    public Double getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(Double totalCost) {
        this.totalCost = totalCost;
    }

    public String getMedia() {
        return media;
    }

    public void setMedia(String media) {
        this.media = media;
    }

    public Instant getExecuteDate() {
        return executeDate;
    }

    public void setExecuteDate(Instant executeDate) {
        this.executeDate = executeDate;
    }

    public String getExternalTable() {
        return externalTable;
    }

    public void setExternalTable(String externalTable) {
        this.externalTable = externalTable;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<TBObjectUpdateDTO> getTbObjectUpdateDTOList() {
        return tbObjectUpdateDTOList;
    }

    public void setTbObjectUpdateDTOList(List<TBObjectUpdateDTO> tbObjectUpdateDTOList) {
        this.tbObjectUpdateDTOList = tbObjectUpdateDTOList;
    }

    public List<TBNurseryDetailsDTO> getTbNurseryDetailsDTOList() {
        return tbNurseryDetailsDTOList;
    }

    public void setTbNurseryDetailsDTOList(List<TBNurseryDetailsDTO> tbNurseryDetailsDTOList) {
        this.tbNurseryDetailsDTOList = tbNurseryDetailsDTOList;
    }

    public List<TBSuppliesUsingDetailsDTO> getTbSuppliesUsingDetailsDTOs() {
        return tbSuppliesUsingDetailsDTOs;
    }

    public void setTbSuppliesUsingDetailsDTOs(List<TBSuppliesUsingDetailsDTO> tbSuppliesUsingDetailsDTOs) {
        this.tbSuppliesUsingDetailsDTOs = tbSuppliesUsingDetailsDTOs;
    }

    public List<String> getDeletedImages() {
        return deletedImages;
    }

    public void setDeletedImages(List<String> deletedImages) {
        this.deletedImages = deletedImages;
    }

    public String getExecuteBy() {
        return executeBy;
    }

    public void setExecuteBy(String executeBy) {
        this.executeBy = executeBy;
    }

    public List<TBEnvironmentUpdateDTO> getTbEnvironmentUpdateDTOList() {
        return tbEnvironmentUpdateDTOList;
    }

    public void setTbEnvironmentUpdateDTOList(List<TBEnvironmentUpdateDTO> tbEnvironmentUpdateDTOList) {
        this.tbEnvironmentUpdateDTOList = tbEnvironmentUpdateDTOList;
    }
}
